function openMineProfileView(){
	var wvName = "mineProfile";
	var wvMP = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMP.addEventListener("loaded", function(e){
			wvMP.evalJS("loadMineProfileData()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMP.show(animation, WV.AnimationDuration, function() {
					wvMP = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMP.evalJS("loadMineProfileData()");
		
		wvMP.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMP.show(animation, WV.AnimationDuration, function() {
					wvMP = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

function openMineCourseView(){
	var wvName = "mineCourse";
	var wvMC = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMC.addEventListener("loaded", function(e){
			wvMC.evalJS("loadMineCourseData()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMC.show(animation, WV.AnimationDuration, function() {
					wvMC = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMC.evalJS("loadMineCourseData()");
		
		wvMC.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMC.show(animation, WV.AnimationDuration, function() {
					wvMC = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

function openMineServiceView(){
	var wvName = "mineService";
	var wvMS = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMS.addEventListener("loaded", function(e){
			wvMS.evalJS("loadMineServiceData()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMS.show(animation, WV.AnimationDuration, function() {
					wvMS = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMS.evalJS("loadMineServiceData()");
		
		wvMS.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMS.show(animation, WV.AnimationDuration, function() {
					wvMS = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

function openMineOrderView(){
	var wvName = "mineOrder";
	var wvMO = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMO.addEventListener("loaded", function(e){
			wvMO.evalJS("loadMineOrderData()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMO.show(animation, WV.AnimationDuration, function() {
					wvMO = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMO.evalJS("loadMineOrderData()");
		
		wvMO.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMO.show(animation, WV.AnimationDuration, function() {
					wvMO = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

function openMineSettingsView(){
	var wvName = "mineSettings";
	var wvMS = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMS.addEventListener("loaded", function(e){
			wvMS.evalJS("initialMineSettings()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMS.show(animation, WV.AnimationDuration, function() {
					wvMS = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMS.evalJS("initialMineSettings()");
		
		wvMS.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMS.show(animation, WV.AnimationDuration, function() {
					wvMS = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
	
}