function openMineOrderInfoView(orderNumber){
	var wvName = "mineOrderInfo";
	var wvMOI = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMOI.addEventListener("loaded", function(e){
			wvMOI.evalJS("loadMineOrderInfo('" + orderNumber + "')");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMOI.show(animation, WV.AnimationDuration, function(){
					wvMOI = null;
					
					var wvPurchase = plus.webview.getWebviewById("purchase");
					if(wvPurchase){
						wvPurchase.close("slide-out-right", WV.AnimationDuration);
					}
					
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMOI.evalJS("loadMineOrderInfo('" + orderNumber + "')");
		
		wvMOI.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMOI.show(animation, WV.AnimationDuration, function(){
					wvMOI = null;
					
					var wvPurchase = plus.webview.getWebviewById("purchase");
					if(wvPurchase){
						wvPurchase.close("slide-out-right", WV.AnimationDuration);
					}
					
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

function openMineCourseViewFromOrderInfo(){
	var wvName = "mineCourse";
	var wvMC = WV.load2(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMC.addEventListener("loaded", function(e){
			wvMC.evalJS("loadMineCourseData()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMC.show(animation, WV.AnimationDuration, function() {
					wvMC = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMC.evalJS("loadMineCourseData()");
		
		wvMC.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMC.show(animation, WV.AnimationDuration, function() {
					wvMC = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}


function openMineServiceViewFromOrderInfo(){
	var wvName = "mineService";
	var wvMS = WV.load2(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMS.addEventListener("loaded", function(e){
			wvMS.evalJS("loadMineServiceData()");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMS.show(animation, WV.AnimationDuration, function() {
					wvMS = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMS.evalJS("loadMineServiceData()");
		
		wvMS.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMS.show(animation, WV.AnimationDuration, function() {
					wvMS = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}