function openServiceClassPreviewView(classId){
	var wvName = "classPreview";
	var wvSCP = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvSCP.addEventListener("loaded", function(e){
			wvSCP.evalJS("loadClassPreviewData('" + classId + "')");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvSCP.show(animation, WV.AnimationDuration, function() {
					wvSCP = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvSCP.evalJS("loadClassPreviewData('" + classId + "')");
		
		wvSCP.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvSCP.show(animation, WV.AnimationDuration, function() {
					wvSCP = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

function openMineServiceClassView(classId){
	var wvName = "mineServiceClass";
	var wvMSC = WV.load(wvName);
	var viewObj = window[wvName];
	
	if(settings.platform == "IOS"){
		wvMSC.addEventListener("loaded", function(e){
			wvMSC.evalJS("loadMineServiceClassData('" + classId + "')");
			
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMSC.show(animation, WV.AnimationDuration, function() {
					wvMSC = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}else{
		wvMSC.evalJS("loadMineServiceClassData('" + classId + "')");
	
		wvMSC.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				var animation = viewObj.ShowAnimation;
				wvMSC.show(animation, WV.AnimationDuration, function() {
					wvMSC = null;
					WV.showedCB(wvName, "");
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}