var WV = {};
WV.OpenWebViewDelay = 250;
WV.CloseWebViewDelay = 50;
WV.AnimationDuration = 250;

WV.load = function(name){
	var viewObj = window[name];
	
	var wvObj = plus.webview.getWebviewById(name);
	if(!wvObj){
		var viewUrl = viewObj.ViewUrl;
		var viewStyle = viewObj.ViewStyle;
		
		wvObj = plus.webview.create(viewUrl, name, viewStyle);
	}
	
	return wvObj;
}

WV.load2 = function(name){
	var viewObj = window[name];
	
	var wvObj = plus.webview.getWebviewById(name);
	if(!wvObj){
		var viewUrl = "../" + viewObj.ViewUrl;
		var viewStyle = viewObj.ViewStyle;
		
		wvObj = plus.webview.create(viewUrl, name, viewStyle);
	}
	
	return wvObj;
}

WV.open = function(name, param){
	var viewObj = window[name];
	
	var wvObj = plus.webview.getWebviewById(name);
	if(!wvObj){
		var viewUrl = viewObj.ViewUrl;
		var viewStyle = viewObj.ViewStyle;
		
		wvObj = plus.webview.create(viewUrl, name, viewStyle);
	}
	
	setTimeout(function(){
		var animation = viewObj.ShowAnimation;
		wvObj.show(animation, WV.AnimationDuration, function() {
			wvObj = null;
			WV.showedCB(name, param);
		});
	}, WV.OpenWebViewDelay);
}

WV.close = function(name, param) {
	var wvObj = plus.webview.getWebviewById(name);
	if(wvObj){
		var viewObj = window[name];
		
		setTimeout(function(){
			var animation = viewObj.CloseAnimation;
			wvObj.close(animation, WV.AnimationDuration);
		}, WV.CloseWebViewDelay);
		
		WV.closedCB(name, param);
	}
}

WV.showedCB = function(name, param){
    var fn = window[name].ShowCallback;
    if(typeof fn === 'function') {
        fn(param);
    }
}

WV.closedCB = function(name, param){
    var fn = window[name].CloseCallback;
    if(typeof fn === 'function') {
        fn(param);
    }
}