$(function(){
	if(settings.debugMode === true){
		var testCourseId = "G04C01";
		loadCourseRatedData(testCourseId);
	}
});

function closeCRPage(){
	WV.close('courseRated', '');
}

function closeWebView(){
	closeCRPage();
}

function loadCourseRatedData(courseId){
	getCourseRatedList(courseId, function(data){
		$("#cr_rated_count").text(data.TotalCount);
		
		var htmlStr = template('course_rated_template', data);
		$(".page-content1").html(htmlStr);
		
		$("#loadingPanel").hide();
	});
}

function getCourseRatedList(courseId, callback){
	var requestUrl = "/courses/" + courseId + "/rated/1/" + settings.courseRatedPageSize;
	loadData("GET", requestUrl, "", false, function(status, response){
		if(status == 200){
			callback(response);
		}
	});
}

function loadMoreCourseRated(){	
	var requestUrl = $(".more_rated_btn").attr("url") + settings.courseRatedPageSize;
	loadData("GET", requestUrl, "", false, function(status, response){
		if(status == 200){
			var htmlStr = template('course_rated_template', response);
			$("#more_rated_panel").replaceWith(htmlStr);
		}
	});
}