$(function(){
	initialForgetPwdPage();
});

function closeForgetPwdPage(){
	WV.close('forgetPwd', '');
}

function closeWebView(){
	closeForgetPwdPage();
}

function initialForgetPwdPage(){
	bindControlEvents();
	initialSMSCodeInput();
}

function bindControlEvents(){
	$("#showPwd").on("click", function(){
		$('#new_pwd').showPassword();
		$("#showPwd").hide();
		$("#hidePwd").show();
		$('#new_pwd').trigger("focus");
	});
	$("#hidePwd").on("click", function(){
		$('#new_pwd').hidePassword();
		$("#hidePwd").hide();
		$("#showPwd").show();
		$('#new_pwd').trigger("focus");
	});
	
	$("#showPwd2").on("click", function(){
		$('#new_pwd2').showPassword();
		$("#showPwd2").hide();
		$("#hidePwd2").show();
		$('#new_pwd2').trigger("focus");
	});
	$("#hidePwd2").on("click", function(){
		$('#new_pwd2').hidePassword();
		$("#hidePwd2").hide();
		$("#showPwd2").show();
		$('#new_pwd2').trigger("focus");
	});
	
	$('#phone_number').keyup(function(){
	    checkPhoneNumber();
	});
	
	$('#new_pwd').keyup(function(){
	    checkPassword();
	    checkPassword2();
	});
	$('#new_pwd2').keyup(function(){
		checkPassword();
	    checkPassword2();
	});
}

function checkGetSmsCodeBtnState(){
	if(phonePassed === true){
		$("#btnGetSmsCode").removeClass("readonly");
		$("#btnGetSmsCode").attr("href", "javascript:getSmsCode();");
	}else{
		$("#btnGetSmsCode").addClass("readonly");
		$("#btnGetSmsCode").attr("href", "javascript:;");
	}
}

function gotoSignUpPage(){
	if(window.plus){
		var wvSignUp = plus.webview.create("sign-up.html", "signUp", { top: "0", bottom: "0" });
		wvSignUp.addEventListener("titleUpdate", function(e){
			setTimeout(function(){
				wvSignUp.show("slide-in-right", WV.AnimationDuration, function() {
					var wvForgetPwd = plus.webview.getWebviewById("forgetPwd");
					wvForgetPwd.close("slide-out-right", WV.AnimationDuration);
				});
			}, settings.openWebviewDelay);
		}, false);
	}
}

var phonePassed = false;
function checkPhoneNumber(){
	var $phone = $('#phone_number');
	var phone = $.trim($phone.val());
	if(phone.replace(/(^s*)|(s*$)/g, "").length == 0){
		$("#phone_error").text("手机号是必填项");
		$phone.parent().addClass("is-invalid");
		phonePassed = false;
		checkGetSmsCodeBtnState();
	}else{
		if(/^1(3|4|5|7|8)\d{9}$/.test(phone) || /^\+(\d*$)/.test(phone)){
			$.ajax({
                type: 'POST',
                url: settings.apiDomain + '/Account/CheckPhone',
                data: { 'phoneNumber': phone },
                async: true,
                success: function (data) {
                    if (!data.passed) {
                    	$("#phone_error").text("手机号尚未注册");
						$phone.parent().addClass("is-invalid");
						phonePassed = false;
						checkGetSmsCodeBtnState();
						
                        weui.confirm('手机号未注册，注册新用户？', {
                        	title: '',
                        	buttons: [{
                        		label: '取消',
                        		type: 'default',
                        		onClick: function() {
                        			$phone.val("");
                        			$phone.trigger("focus");
                        		}
                        	}, {
                        		label: '前去注册',
                        		type: 'primary',
                        		onClick: function() {
                        			gotoSignUpPage();
                        		}
                        	}]
                        });
                    } else {
                        phonePassed = true;
                        checkGetSmsCodeBtnState();
                    }
                }
            });
		}else{
			$("#phone_error").text("手机号格式不正确");
			$phone.parent().addClass("is-invalid");
			phonePassed = false;
			checkGetSmsCodeBtnState();
		}
	}
}

function showSMSCodePanel(){
	setHasSP(true);
	$("#sp_SMSCode_panel").show();
	$(".pinly-wrap input:eq(0)").trigger("focus");
}

function cancelForgetPwd(){
	weui.confirm('是否放弃操作？', {
    	title: '',
    	buttons: [{
    		label: '取消',
    		type: 'default',
    		onClick: function(){ }
    	}, {
    		label: '确认',
    		type: 'primary',
    		onClick: function() {
    			setHasSP(false);
    			WV.close("forgetPwd", "");
    		}
    	}]
    });
}

function hideSlidePanel(){
	cancelForgetPwd();
}

function getSmsCode(){
	if(resendTiming == true){
		showSMSCodePanel();
	}else{
		sendForgetPwdSMSCode();
	}
}

function sendForgetPwdSMSCode(){
	var phoneNumber = $.trim($('#phone_number').val());
	getSMSVerifyCode(phoneNumber);
}

var getSMSCodeSuccessed = false;
function getSMSVerifyCode(phoneNumber){
	if(phoneNumber){
		$.ajax({
            type: 'POST',
            url: settings.apiDomain + '/SMSVerifyCode/Send',
            data: { 'phoneNumber': phoneNumber },
            async: true,
            success: function(data){
                if (data.passed) {
                	getSMSCodeSuccessed = true;
					showSMSCodePanel();
                	
                    $("#smsId").val(data.smsId);
                    $("#timeout_phone").text(phoneNumber);
                    
                    var $timeTip = $("#timeout_count");
				    if (!resendTiming) {
				        startResendTimer($timeTip);
				        
				    	$("#timeout_panel").show();
				    	$("#btnResend").hide();
				    }
                }
            },
            complete: function(xhr){
		        $("#loadingPanel").hide();
		        if(getSMSCodeSuccessed === false){
		        	showError("获取验证码失败", 1000)
		        }
		    },
		    beforeSend: function(request){
		    	$("#loadingPanel").show();
		    },
		    error: function(xhr){
		    	showAjaxError(xhr);
		    }
        });
	}
}

var resendTiming = false;
var resendTimeout = 60;
function startResendTimer($timeTip){
    if (resendTimeout == 0) {
    	$("#timeout_panel").hide();
    	$("#btnResend").show();
    	
        resendTimeout = 60;
        resendTiming = false;
        return;
    } else {
        $timeTip.text(resendTimeout);
        resendTimeout--;
        resendTiming = true;
    }
    
    setTimeout(function () {
        startResendTimer($timeTip);
    }, 1000);
}

function initialSMSCodeInput(){
	$(".pin-code-wrap input[type=number]").keyup(function(){
		var inputs = $(this).closest('.pin-code-wrap').find(':input');
		if($(this).val().length == 1){
			var index = inputs.index(this);
			inputs.eq(index + 1).removeAttr("readonly");
			inputs.eq(index + 1).focus();
			inputs.eq(index + 1).trigger("touchstart");
			inputs.eq(index).attr("readonly", "readonly");
			
			if(index == 4){
				var pinCode = "";
				for (var i = 0; i < 5; i++) {
					pinCode += inputs.eq(i).val();
				}
				
				checkSMSCode(pinCode);
			}
		} else if($(this).val().length == 0){
			var index = inputs.index(this);
			if(index > 0){
				inputs.eq(index).attr("readonly", "readonly");
				inputs.eq(index - 1).focus();
				inputs.eq(index - 1).trigger("touchstart");
				inputs.eq(index - 1).removeAttr("readonly");
			}
		}
	});
}

var smsId, smsCode;
var smsCodePassed = false;
function checkSMSCode(pinCode){
	var timer;
	smsId = $("#smsId").val();
	smsCode = pinCode;
	
	$.ajax({
        type: 'POST',
        url: settings.apiDomain + '/Account/CheckSMSCode',
        data: { 'smsId': smsId, 'smsCode': smsCode },
        async: true,
        success: function(data){
            if(data.passed){
				$("#btnNext").removeClass("readonly");
				$("#btnNext").attr("href", "javascript:showSetPwdPanel();");
				
				smsCodePassed = true;
				showSetPwdPanel();
            }else{
            	$("#btnNext").addClass("readonly");
				$("#btnNext").attr("href", "javascript:;");
				
				var inputs = $('.pin-code-wrap').find(':input');
				timer = setTimeout(function() {
					for (var i = 4; i >= 0; i--) {
						inputs.eq(i).val("");
					}
					
					inputs.eq(0).removeAttr("readonly");
					inputs.eq(0).focus();
				}, 150);
            	
                smsCodePassed = false;
            }
        }
    });
}

function showSetPwdPanel(){
	setHasSP(true);
	$("#sp_SetPwd_panel").show();
}

var newPwdPassed = false;
function checkPassword(){
	var $pwd = $('#new_pwd');
	var pwd = $.trim($pwd.val());
	if(pwd.replace(/(^s*)|(s*$)/g, "").length == 0){
		$("#new_pwd_error").text("密码是必填项");
		$pwd.parent().addClass("is-invalid");
		newPwdPassed = false;
		checkChangePwdBtnState();
	}else{
		var temp = pwd.replace(/[^\x00-\xff]/g, '**').replace(/\s+/g, "");
		var length = temp.length;
		
		var fullWidthChar = /[\uFE30-\uFFA0]/i;
		var checkWhitespace = /^\S+$/i;
		var checkChinese = /[\u4E00-\u9FA5]/i;
		
		if(!fullWidthChar.test(pwd)){
			if(length >= 6 && length <= 18){				
				var checkResult = (checkWhitespace.test(pwd) && !checkChinese.test(pwd));
				if(!checkResult){
					newPwdPassed = false;
					$("#new_pwd_error").text("密码不能包含汉字或空格");
					$pwd.parent().addClass("is-invalid");
				}else{
					newPwdPassed = true;
				}
			}else{
				newPwdPassed = false;
				$("#new_pwd_error").text("密码的长度6~18个字符");
				$pwd.parent().addClass("is-invalid");
			}
		}else{
			newPwdPassed = false;
			$("#new_pwd_error").text("不能使用全角字符");
			$pwd.parent().addClass("is-invalid");
		}
		
		checkChangePwdBtnState();
	}
}

var newPwd, newPwd2;
var pwdConfirmPassed = false;
function checkPassword2(){
	var $pwd = $('#new_pwd');
	var $pwd2 = $('#new_pwd2');
	newPwd = $.trim($pwd.val());
	newPwd2 = $.trim($pwd2.val());
	if(newPwd === newPwd2){
		pwdConfirmPassed = true;
		$("#new_pwd2_error").text("");
		$pwd2.parent().removeClass("is-invalid");
	}else{
		pwdConfirmPassed = false;
		$("#new_pwd2_error").text("两次密码不一致");
		$pwd2.parent().addClass("is-invalid");
	}
	
	checkChangePwdBtnState();
}

function checkChangePwdBtnState(){
	if(newPwdPassed === true && pwdConfirmPassed === true){
		$("#btnChangePwd").removeClass("readonly");
		$("#btnChangePwd").attr("href", "javascript:submitChangePwd();");
	}else{
		$("#btnChangePwd").addClass("readonly");
		$("#btnChangePwd").attr("href", "javascript:;");
	}
}

var resetPwdSuccessed = false;
function submitChangePwd(){
	if(phonePassed === true && smsCodePassed === true && newPwdPassed === true && pwdConfirmPassed === true){
		var requestData = {
			'phoneNumber': $("#phone_number").val(),
			'password': newPwd,
			'smsId': smsId,
			'smsCode': smsCode
		};
		
		$.ajax({
	        type: 'POST',
	        url: settings.apiDomain + '/Account/ChangePassword',
	        data: requestData,
	        async: true,
	        success: function(data){
	            if(data.passed){
	            	resetPwdSuccessed = true;
	            	showToast("重设密码成功", 1000);
	            }
	        },
	        complete: function(xhr){
		        $("#loadingPanel").hide();
		        if(resetPwdSuccessed == true){
		        	setTimeout(function(){
		        		WV.close("forgetPwd", "");
		        	}, 1100);
		        }else{
		        	showError("重设密码失败", 1000);
		        }
		    },
		    beforeSend: function(request){
		    	$("#loadingPanel").show();
		    },
		    error: function(xhr){
		        showAjaxError(xhr);
		    }
	    });
	}
}
