var scroller, selector;
var didScroll = false, hideOn = 100, showOn = 10;
function scrollToggleVideo(scrollerSelector, targetSelector){
	scroller = document.querySelector(".tab_panels");
	selector = targetSelector;
	
	scroller.addEventListener('scroll', function(event) {
		if(!didScroll) {
			didScroll = true;
			scrollPage();
		}
	}, false);
}

var lastScrollTop = 0;
function scrollPage(){
	var scrollY = scroller.scrollTop;
	
	if(scrollY > lastScrollTop) {
		//console.log("向上滚动");
		if(scrollY >= hideOn){
			$(selector).hide();
		}
	} else {
		//console.log("向下滚动");
		if(scrollY < showOn){
			$(selector).show();
		}
	}
	
	lastScrollTop = scrollY;
	didScroll = false;
}

var lastState, playState;
var newState, oldState;
function processPlayerFullScreen(player){
	player.on('displayClick', function(){
		var getState = player.getState();
		console.log("getState:" + getState);
		
		if(oldState == "buffering" && getState == "playing"){
			console.log("第一次点击");
		}else if(oldState == "playing" && getState == "paused"){
			console.log("点击播放或暂停状态");
		}else if(oldState == "paused" && getState == "playing"){
			console.log("点击暂停或播放状态");
		}
		
		var controlsState = player.getControls();
		if(controlsState === false){
			player.setControls(true);
		}
		
		if((oldState == "buffering" && getState == "playing") || (oldState == "paused" && getState == "playing")){
			var autoHide = setInterval(function(){
				var fullScreen = player.getFullscreen();
				var playState = player.getState();
				if(fullScreen === true && playState == "playing"){
					//hideSystemBar();
				}
				
				clearInterval(autoHide);
			}, 5000);
		}
	});
	
	// 移到具体应用代码中了~
	/*player.on('play', function(e){
		newState = e.newstate;
		oldState = e.oldstate;
		
		var controlsState = player.getControls();
		if(controlsState === true) {
			player.setControls(false);
		}
	});
	
	player.on('pause', function(e){
		newState = e.newstate;
		oldState = e.oldstate;
		
		var controlsState = player.getControls();
		if(controlsState === false) {
			player.setControls(true);
		}
	});*/
	
	player.on('controls', function(e){
		var fullScreen = player.getFullscreen();
		var playState = player.getState();
		if(fullScreen === true && playState == "playing"){
			if(e.controls === false){
				//hideSystemBar();
			}
		}
	});
	
	player.on("fullscreen", function(e){
		if(e.fullscreen === true){
			if(window.plus){
				setTimeout(function(){
					plus.screen.lockOrientation("landscape-primary");
				}, 300);
				
				setTimeout(function(){
					var playState = player.getState();
			    	if(playState != 'playing'){
			    		player.play();
			    	}
			    	
			    	player.setControls(false);
				}, 600);
			}
		}else{
			if(window.plus){
				plus.screen.lockOrientation("portrait-primary");
			}
		}
	});
}

function setPlayingState(player, e, value){
	newState = e.newstate;
	oldState = e.oldstate;
	
	var controlsState = player.getControls();
	if(controlsState === value) {
		player.setControls(!value);
	}
}

var mainWindow = null, decorView = null, View = null;
function hideSystemBar() {
	if(mainWindow == null){
		var main = plus.android.runtimeMainActivity();
		mainWindow = main.getWindow();
		plus.android.importClass(mainWindow);
	}
	
	if(decorView == null){
		decorView = mainWindow.getDecorView();
		plus.android.importClass(decorView);
	}
	
	if(View == null){
		View = plus.android.importClass("android.view.View");
	}
	
	decorView.setSystemUiVisibility(View.SYSTEM_UI_FLAG_HIDE_NAVIGATION);
}

function checkNetwork(playCB, choiceCB){
	if(settings.debugMode === true){
		playCB();
	}else{
		if(window.plus){
			var networkType = plus.networkinfo.getCurrentType();
			if(networkType === plus.networkinfo.CONNECTION_WIFI){
				playCB();
			}else{
				getItem(settings.nonWIFINCPlayKey, function(value){
					if(value == null){
						choiceCB();
					}else{
						if(value === true){
							playCB();
						}else{
							choiceCB();
						}
					}
				});
			}
		}
	}
}