var bannerTemplateName = "homeBannerTemplate";
var ccTemplateName = "commendCourseTemplate";
var ccItemTemplateName = "commendCourseTemplate_Item";

function initialHomePage(data, fromCache){
	renderBanner(data, fromCache);
	renderCommendCourse(data, fromCache);
	
	initialBannerSwiper();
    $("#loadingPanel").hide();
}

var homeSwiper;
function initialBannerSwiper(){
	homeSwiper = new Swiper('.swiper-container', {
        pagination: '.swiper-pagination',
        paginationClickable: false,
        preloadImages: false,
        lazyLoading: true,
        autoplayDisableOnInteraction: false,
        loop: true,
        autoplay: 3000,
        speed: 500
    });
}

function commendCourseRefresh(commendGroupId, totalPage, currentPage, pageSize){
	var pageNumber;
	if(totalPage > currentPage){
		pageNumber = currentPage + 1;
	}else{
		pageNumber = 1;
	}
	
	var requestUrl = "/home/commend/list/" + commendGroupId + "/" + pageNumber + "/" + pageSize;
	loadData("GET", requestUrl, "", true, function(status, response) {
		if(status == 200) {
			renderCommendCourse2(commendGroupId, response);
			
			var totalPage = response.CommendList.TotalPage;
			var hrefCode = "javascript:commendCourseRefresh('" + commendGroupId + "'," + totalPage + "," + pageNumber + "," + pageSize + ");";
	
			$("#btn_refresh_" + commendGroupId).attr("href", hrefCode);
		}
	});
}

function renderBanner(data){
	var htmlStr = template(bannerTemplateName, data);
	$("#homeBannerPanel").html(htmlStr);
}

function renderCommendCourse(data){
	var htmlStr = template(ccTemplateName, data);
	$("#commendCoursePanel").html(htmlStr);
}

function renderCommendCourse2(commendGroupId, data){
	var htmlString = template(ccItemTemplateName, data);
	$("#ccList_" + commendGroupId).html(htmlString);
}