var oldName;
function showChangeNameSP(){
	oldName = $("#mp_nickname").text();
	$("#nickname").val(oldName);
	document.querySelector("#mdl_tf_nickname").MaterialTextfield.checkDirty();
	
	setHasSP(true);
	$("#sp_change_name").animate({left: '0'});
	currentSP = "CNSP";
}

function hideChangeNameSP(){
	setHasSP(false);
	$("#sp_change_name").animate({left: '100%'});
	currentSP = "";
}

function bindChangeNameInputEvents(){
	$('#nickname').keyup(function(){
	    checkNickname();
	});
}

function checkChangeNameBtnState(){
	var $btnChangeName = $("#btnChangeName");
	var nickname = $.trim($('#nickname').val());
	if(nickname == oldName){
		$btnChangeName.css("color", "#FFFFFF");
		$btnChangeName.attr("href", "javascript:hideSlidePanel();");
	}else{
		if(nicknamePassed === false){
			$btnChangeName.css("color", "#C9C9C9");
			$btnChangeName.attr("href", "javascript:;");
		}else{
			$btnChangeName.css("color", "#FFFFFF");
			$btnChangeName.attr("href", "javascript:submitChangeName();");
		}
	}
}

var nicknamePassed = false;
function checkNickname(){
	var $nickname = $('#nickname');
	var nickname = $nickname.val();
	if(nickname.replace(/(^s*)|(s*$)/g, "").length == 0){
		$("#nickname_error").text("昵称是必填项");
		$nickname.parent().addClass("is-invalid");
		
		nicknamePassed = false;
		checkChangeNameBtnState();
	}else{
		var temp = nickname.replace(/[^\x00-\xff]/g, '**').replace(/\s+/g, "");
		var length = temp.length;
		
		var fullWidthChar = /[\uFE30-\uFFA0]/i;
		var checkWhitespace = /^\S+$/i;
		var legalChar = /^[a-zA-Z0-9_\u4e00-\u9fa5]+$/;
		
		if(!fullWidthChar.test(nickname)){
			if(length >= 4 && length <= 12){
				var checkResult = (checkWhitespace.test(nickname) || legalChar.test(nickname));
				if(!checkResult){
					$("#nickname_error").text("昵称只能由汉字、英文字母、数字和下划线（_）组成");
					$nickname.parent().addClass("is-invalid");
					
					nicknamePassed = false;
					checkChangeNameBtnState();
				}else{
					if(nickname != oldName){
						$.ajax({
			                type: 'POST',
			                url: settings.apiDomain + '/Account/CheckNickname',
			                data: { 'nickname': nickname },
			                async: true,
			                success: function (data) {
			                    if (data.passed) {
			                        $("#nickname_error").text("该昵称已被占用");
									$nickname.parent().addClass("is-invalid");
									
									nicknamePassed = false;
									checkChangeNameBtnState();
			                    } else {
			                        nicknamePassed = true;
			                        checkChangeNameBtnState();
			                    }
			                }
			            });
		        	}
				}
			}else{
				$("#nickname_error").text("昵称的长度4~12个字符（1个汉字占2个字符）");
				$nickname.parent().addClass("is-invalid");
				
				nicknamePassed = false;
				checkChangeNameBtnState();
			}
		}else{
			$("#nickname_error").text("不能使用全角字符");
			$nickname.parent().addClass("is-invalid");
			
			nicknamePassed = false;
			checkChangeNameBtnState();
		}
	}
}

function submitChangeName(){
	var signState = getSignState();
	if(signState === true && nicknamePassed === true){
		$("#loadingPanel").show();
		
		var userId = getUserId();
		var nickname = $.trim($("#nickname").val());
		
		var requestUrl = "/mine/" + userId + "/nickname/" + nickname;
		loadData("POST", requestUrl, "", false, function(status, response){
			if(status == 200 && response === true){
				$("#mp_nickname").text(nickname);
				
				removeUserInfoCache();
				hideSlidePanel();
			}
			
			$("#loadingPanel").hide();
		});
	}
}