template.helper('dateFormat', function(dateTime){
	return $.format.date(dateTime, "yyyy.MM.dd");
});

template.helper('numberAdd', function(n1, n2){
	return Number(n1) + Number(n2);
});

$(function(){
	if(settings.debugMode === true){
		loadMineServiceData();
	}
});

function closeWebView(){
	closeMineServicePage();
}

function closeMineServicePage(){
	WV.close("mineService", "");
}

function loadMineServiceData(){
	var userId = getUserId();
	if(userId){
		var requestUrl = "/mine/" + userId + "/classes/list";
		var queryString = "userId=" + userId;
		loadData("GET", requestUrl, queryString, false, function(status, response){
			if(status == 200){
				renderMineSCList(response);
				$("#loadingPanel").hide();
			}
			
			componentHandler.upgradeDom();
		});
	}
}

function renderMineSCList(data){
	if(data && data.MineSCList){
		var htmlStr = template('mine_class_template', data);
		$(".page-content1").html(htmlStr);
	}else{
		$(".list_nothing").show();
	}
}
