var defaultIndex, currentIndex = 0;
function initialNavbar(){
	weui.tab('#navbar',{
	    defaultIndex: defaultIndex,
	    onChange: function(index){
			setNormal(currentIndex);
		    currentIndex = index;
		    setHighlight(currentIndex);
	    }
	});
}

function setNormal(index){
	if(index >= 0 && index <= 3){
		var iconSrc = getNormalIconSrc(index);
		$("#tab" + index).attr("src", iconSrc)
	}
}

function getNormalIconSrc(index){
	switch (index){
		case 0:
			return "image/navbars/icon_home_normal.png";
		case 1:
			return "image/navbars/icon_course_normal.png";
		case 2:
			return "image/navbars/icon_service_normal.png";
		case 3:
			return "image/navbars/icon_mine_normal.png";
	}
}

function setHighlight(index){
	if(index >= 0 && index <= 3){
		var iconSrc = getHighlightIconSrc(index);
		$("#tab" + index).attr("src", iconSrc)
	}
}

function getHighlightIconSrc(index){
	switch (index){
		case 0:
			return "image/navbars/icon_home_highlight.png";
		case 1:
			return "image/navbars/icon_course_highlight.png";
		case 2:
			return "image/navbars/icon_service_highlight.png";
		case 3:
			return "image/navbars/icon_mine_highlight.png";
	}
}

function getName(index){
	switch (index){
		case 0:
			return "home";
		case 1:
			return "course";
		case 2:
			return "service";
		case 3:
			return "mine";
	}
}

function setNavbarSeleted(name){
	var tabId;
	switch (name){
		case "home":
			defaultIndex = 0;
			tabId = "#tab0";
			break;
		case "course":
			defaultIndex = 1;
			tabId = "#tab1";
			break;
		case "service":
			defaultIndex = 2;
			tabId = "#tab2";
			break;
		case "mine":
			defaultIndex = 3;
			tabId = "#tab3";
			break;
	}
	
	if(tabId){
		$("#" + name).addClass("weui-bar__item_on").siblings("a").removeClass("weui-bar__item_on");
		
		setNormal(currentIndex);
	    currentIndex = defaultIndex;
	    setHighlight(currentIndex);
	}
}